Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.gemini.blueprint.extender.internal.support
Class OsgiBeanFactoryPostProcessorAdapter

    java.lang.Object
      org.eclipse.gemini.blueprint.extender.internal.support.OsgiBeanFactoryPostProcessorAdapter

All Implemented Interfaces:
  org.springframework.beans.factory.config.BeanFactoryPostProcessor

    public class OsgiBeanFactoryPostProcessorAdapter

extends Object
implements org.springframework.beans.factory.config.BeanFactoryPostProcessor

Simple adapter for wrapping OsgiBeanPostProcessors to normal Spring post processors.

Author:
  Costin Leau

Constructor Summary
`OsgiBeanFactoryPostProcessorAdapter(org.osgi.framework.BundleContext bundleContext, List<OsgiBeanFactoryPostProcessor> postProcessors)`

Method Summary
`void` | `postProcessBeanFactory(org.springframework.beans.factory.config.ConfigurableListableBeanFactory beanFactory)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OsgiBeanFactoryPostProcessorAdapter

    public OsgiBeanFactoryPostProcessorAdapter(org.osgi.framework.BundleContext bundleContext,
                                               List<OsgiBeanFactoryPostProcessor> postProcessors)

Method Detail

### postProcessBeanFactory

    public void postProcessBeanFactory(org.springframework.beans.factory.config.ConfigurableListableBeanFactory beanFactory)
                                throws org.springframework.beans.BeansException

  Specified by:
    `postProcessBeanFactory` in interface `org.springframework.beans.factory.config.BeanFactoryPostProcessor`
  Throws:
    `org.springframework.beans.BeansException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013. All Rights Reserved.